/////monitor
$( document ).ready(function() {
	$( "body" ).append( "<input id='nao_duplicar_requisicao_jornada' value='0' style='display: none;'></input>" );
});
	
function conferir(ID,matricula, nome)
{
	$("#campoForMotoristaDiv").html("<div class='formBusca'>"+matricula+" "+nome+"</div>");
	document.getElementById("idConferir").checked = true;
	document.getElementById("campoForMotoristaValor").value = ID+" ,";
	consultar();
}
///fim monitor

///index
function validaForm()
{
	teste = true;
	if (( $('input[name=tipoConsulta]:checked').val() == "alertas.php" ) && (document.getElementById("inicio").value == "" || document.getElementById("fim").value == "" ))
	{
		alert("Consulta de erros deve informar o período!");
		teste = false;
	}
		
	if (teste && ( $('input[name=tipoConsulta]:checked').val() == "conferencia.php" ) && (document.getElementById("codFil").value == "" && document.getElementById("campoForMotoristaValor").value == "" ))
	{
		alert("Informe a filial!");
		teste = false;
	}
	if (teste && ( $('input[name=tipoConsulta]:checked').val() == "alertas.php" ) && (document.getElementById("codFil").value == "" && document.getElementById("campoForMotoristaValor").value == "" ))
	{
		alert("Informe a filial!");
		teste = false;
	}
	
	if (teste &&  ( $('input[name=tipoConsulta]:checked').val() == "src/controller/JornadaController.php?mod=correcao" ) && (document.getElementById("campoForMotoristaValor").value == "" || document.getElementById("inicio").value == "" || document.getElementById("fim").value == ""))
	{
		alert("Todos os campos são obrigatórios!");
		teste = false;
	}	
	
	if (teste &&  $('input[name=tipoConsulta]:checked').val() == "src/controller/JornadaController.php?mod=correcao" && parseInt(occurrences(document.getElementById("campoForMotoristaValor").value, ",")) > 1)
	{
		alert("Para corrigir a jornada é obrigatório ter apenas um motorista selecionado.");
		teste = false;
	}
	if (( $('input[name=tipoConsulta]:checked').val() == "src/controller/JornadaController.php?mod=monitor" ) && (document.getElementById("inicio").value == "" || document.getElementById("fim").value == "" ))
	{
		alert("Consulta de erros deve informar o período!");
		teste = false;
	}
	
	if (teste &&  ( $('input[name=tipoConsulta]:checked').val() == "src/controller/CalculadoraJornadaController.php?mod=conferir_localizacao" ) && (document.getElementById("campoForMotoristaValor").value == "" ))
	{
		alert("Selecione um ou mais motoristas!");
		teste = false;
	}	
	return teste;
}	

//consultar();
function formBusca(div,id,descricao,form)
{
	$(div).css("display", "block");			
	$(div+"Div").css("display", "block");
	$(div+"X").css("display", "block");
	$(div+"L").css("display", "block");
	$(div+"P").css("display", "block");	
	$(".grupoBotoes").css("display", "block");	
}
function escreveForm(valor, id, texto, limpaid,cnpj)
{
	//document.getElementById(id+"Valor").value =  document.getElementById(id+"Valor").value +","+ valor;
	$( id+"Valor" ).val( $( id+"Valor" ).val() + '"'+valor+'" ,' );
	$( id+"Div" ).html( $( id+"Div" ).html() + '<div class="formBusca">'+cnpj+ ' ' + texto +'</div>' );
	$("#"+limpaid).css("display","none");
}
function closex(div)
{
	$(div).css("display", "none");
	$(div+"Div").css("display", "none");
	$(div+"X").css("display", "none");
	$(div+"L").css("display", "none");
	$(div+"P").css("display", "none");
	$(".grupoBotoes").css("display", "none");	
}
function limparF(id)
{
	$( id+"Valor" ).val("");
	$( id+"Div" ).html("");
}
function procurar(div,id,descricao,form)
{
	$( div ).html('<center> <img src="css/load.gif"/> </center>');
	$(div).load("src/controller/JornadaController.php?mod=buscaMotorista",{id: id, descricao: descricao,valor: document.getElementById(id).value, div: div});
}
function consultar()
{	
	if($("#nao_duplicar_requisicao_jornada").val() == "0")
	{
		
		teste = true;
		teste = validaForm();
		if(teste)
		{					
			$("button").prop("disabled",true);
			//jquery_postar.abort();
			$("#nao_duplicar_requisicao_jornada").val("1");
			$("#lista").html("<center><img src='css/load.gif' /> </center>");
			//$("#lista").load($('input[name=tipoConsulta]:checked').val(),{motorista: document.getElementById("campoForMotoristaValor").value, inicio: document.getElementById("inicio").value, 
			//fim: document.getElementById("fim").value, filial: document.getElementById("filial").value, operacao_frota: document.getElementById("operacao_frota").value});			
			$.post($('input[name=tipoConsulta]:checked').val(),{motorista: document.getElementById("campoForMotoristaValor").value, inicio: document.getElementById("inicio").value, 
			fim: document.getElementById("fim").value, filial: document.getElementById("filial").value, operacao_frota: document.getElementById("operacao_frota").value},
			function (retorno)
			{
				$("#lista").html(retorno);
				$("#nao_duplicar_requisicao_jornada").val("0");
				$("button").prop("disabled",false);
			}	
			).fail(function(xhr, status, error) {
				// error handling
				$("#nao_duplicar_requisicao_jornada").val("0");
				$("button").prop("disabled",false);
				$("#lista").html("");
				alert("Ocorreu um erro de comunicação com o servidor! Tente novamente.");
			});
		}	
	}	
}

function consultarRelatorio()
{	
	teste = true;
	teste = validaForm();
	if(teste)
	{			
		$("#tituloRel").html($('input[name=tipoConsulta]:checked').attr("titulo"));
		$("#lista").html("<center><img src='css/load.gif' /> </center>");
		$("#lista").load($('input[name=tipoConsulta]:checked').val(),{motorista: document.getElementById("campoForMotoristaValor").value, 
		inicio: document.getElementById("inicio").value, 
		fim: document.getElementById("fim").value, 
		filial: document.getElementById("filial").value, 
		operacao_frota: document.getElementById("operacao_frota").value,
		tipo_frota: document.getElementById("tipo_frota").value, 
		programador: document.getElementById("programador").value, 
		boo_ativo: document.getElementById("boo_ativo").value,
		trabMaisXhoras: document.getElementById("trabMaisXhoras").value,
		descansoMenorXhoras: document.getElementById("descansoMenorXhoras").value,
		intersticioMenorXhoras: document.getElementById("intersticioMenorXhoras").value,
		repousoMenorXhoras: document.getElementById("repousoMenorXhoras").value,
		refeicaoMenorXhoras: document.getElementById("refeicaoMenorXhoras").value,
		direcaoMaiorXhoras: document.getElementById("direcaoMaiorXhoras").value,
		tempo_intersticio: document.getElementById("tempo_intersticio").value,
		tempo_dif_trab_dir: document.getElementById("tempo_dif_trab_dir").value,
		tempo_repouso: document.getElementById("tempo_repouso").value,
		total_jorada_menor: document.getElementById("total_jorada_menor").value,
		direcao_maior_jornada: document.getElementById("direcao_maior_jornada").value,
		inicio_antes: document.getElementById("inicio_antes").value,
		fim_depois: document.getElementById("fim_depois").value,
		inicio_apartir: document.getElementById("inicio_apartir").value,
		inicio_ate: document.getElementById("inicio_ate").value
		});
		/*$.post("src/controller/Liberacao_periodoController.php?mod=validar_periodo",{data_inicio: document.getElementById("inicio").value, data_fim: document.getElementById("fim").value},
			function(a) {
				if(! a.status)
				{
					alert(a.mensagem);
				}
			},'json' 
		);*/
	}	
}

function occurrences(string, subString, allowOverlapping) {
	//conta quantidade de um caracter numa string
	string += "";
	subString += "";
	if (subString.length <= 0) return (string.length + 1);

	var n = 0,
		pos = 0,
		step = allowOverlapping ? 1 : subString.length;

	while (true) {
		pos = string.indexOf(subString, pos);
		if (pos >= 0) {
			++n;
			pos += step;
		} else break;
	}
	return n;
}
 $('.date').mask('00/00/0000');
/// fim index
/// início corretor	
function removeMacro(ID, MOT, inicio, fim)
{
	var r = confirm("Tem certeza?");
	if (r == true) 
	{
		$("#conteudocorrecao").html("");
		$.post("src/controller/CorretorController.php?mod=remover",{remover: 0, ID: ID, inicio: inicio, fim: fim}, 
			function (data)
			{
				//alert(data);
				if ( data.search("bloqueado") < 0)
				{	
					$("#lista").load("src/controller/JornadaController.php?mod=correcao",{motorista: MOT+",", inicio: inicio,fim: fim, filial: ''});
				}
				else
				{
					alert(data);
				}
				
			}
		)
	}	
}
function salvarEdicao(IDmacro, IDmotorista, inicio, fim)
{
	if ($("#data").val() == "")
	{
		alert("Informe a data");
	}
	else if($("#data").val().length < 16)
	{
		alert("Informa a data e hora!");
	}
	else
	{	
		valida_periodo(inicio, $("#data").val().substring(0,10));
		$.post("src/controller/CorretorController.php?mod=salvarEdicao",{IDmacro: IDmacro, IDmotorista: IDmotorista, data: $("#data").val(), tipomacro: $("#tipomacro").val(), editar: 0, veiculo: $("#veiculo").val(), motivo: $("#motivo").val() ,observacao: $("#observacao").val()},
			function (data)
			{
				if ( data.search("bloqueado") < 0)
				{	
					
					$("#data").val("");
					$("#lista").load("src/controller/JornadaController.php?mod=correcao",{motorista: IDmotorista+",", inicio: inicio, fim: fim, filial: ''});
				}
			}	
		)
	}	
}
function salvarNovaCorrecao(IDmotorista, inicio, fim)
{
	IDmacro = 'NULL';
	if ($("#data").val() == "")
	{
		alert("Informe a data");
	}	
	else if($("#data").val().length < 16)
	{
		alert("Informa a data e hora!");
	}
	else
	{
		valida_periodo(inicio, $("#data").val().substring(0,10));
		$.post("src/controller/CorretorController.php?mod=salvarEdicao",{IDmacro: IDmacro, IDmotorista: IDmotorista, data: $("#data").val(), tipomacro: $("#tipomacro").val(), editar: 0, veiculo: $("#veiculo").val(), motivo: $("#motivo").val() ,observacao: $("#observacao").val()},
			function (data)
			{
				$("#data").val("");
				$("#lista").load("src/controller/JornadaController.php?mod=correcao",{motorista: IDmotorista+",", inicio: inicio, fim: fim, filial: ''});		
			}
		);
	}	
}	
function salvarNovaCorrecaoLocalizacao(IDmotorista, datahora, tipoMacro, veiculo, ehlocalizacao)
{
	IDmacro = 'NULL';
	if (datahora == "")
	{
		alert("Informe a data");
	}	
	else
	{
		$.post("src/controller/CorretorController.php?mod=salvarEdicaoLocalizacao",{IDmacro: IDmacro, IDmotorista: IDmotorista, data: datahora, tipomacro: tipoMacro, editar: 0, veiculo: veiculo, ehlocalizacao: ehlocalizacao},
			function (data)
			{
				//$("#data").val("");
				//$("#lista").load("src/controller/JornadaController.php?mod=correcao",{motorista: IDmotorista+",", inicio: inicio, fim: fim, filial: ''});		
			}
		);
	}	
}
function editarMacro(ID, inicio, fim)
{
	$("#conteudocorrecao").html("");
	$("#conteudocorrecao").load("src/controller/CorretorController.php?mod=editar",{editar: 0, ID: ID, inicio: inicio ,fim: fim, filial: ''});
	//abreModal();
}
function editarMacroCorretor(ID, MOT, inicio, fim, placa)
{
	$("#conteudocorrecao").html("");
	$("#conteudocorrecao").load("src/controller/CorretorController.php?mod=editarCorretor",{editar: 0, ID: ID, inicio: inicio ,fim: fim, filial: '', placa: placa});
	//abreModal();
	//removeMacro(ID, MOT, inicio, fim)
}
function novaMacro(IDmot, inicio, fim)
{
	$("#conteudocorrecao").html("");
	$("#conteudocorrecao").load("src/controller/CorretorController.php?mod=novaMacro",{nova: 0, IDmot: IDmot, inicio: inicio ,fim: fim, filial: ''});
	//abreModal();
}
function salvarEdicaoCorretor(ID, MOT, inicio, fim)
{
	var r = confirm("Tem certeza?");
	if (r == true) 
	{
		//$("#conteudocorrecao").html("");
		$.post("src/controller/CorretorController.php?mod=remover",{remover: 0, ID: ID, inicio: inicio, fim: fim}, 
			function (data)
			{
				//alert(data);
				/*if ( data.search("bloqueado") < 0)
				{	
					$("#lista").load("src/controller/JornadaController.php?mod=correcao",{motorista: MOT+",", inicio: inicio,fim: fim, filial: ''});
				}
				else
				{
					alert(data);
				}*/
				salvarNovaCorrecao(MOT, inicio, fim)
				
			}
		)
	}	
}
function abrirDia(id)
{
	if($("."+id).css("display") == "none")
	{
		$("."+id).css("display","block");
	}	
	else
	{
		$("."+id).css("display","none");
	}	
}

function abrirFecharModal()
{
	if($(".modalBackground").css("display") == "none")
	{
		$(".modalBackground").css("display","block");
	}	
	else
	{
		$(".modalBackground").css("display","none");
	}	
}

///calculadora e agenda
function novoCalculo(url)
{
	$("#formularioModal").html("");
	$("#formularioModal").load(url);
	abrirFecharModal();
	
}

function alteraActionForm(form, action){
	$("#"+form).attr("action",action);
}	

function addGetActionForm(form, action){
	$("#"+form).attr("action",$("#"+form).attr("action")+action);
}	

function abrirFolgaConferencia(idMotorista, strData)
{
	$.post( 'src/controller/FolgasController.php?carragar_formulario_seletor=formulario_esquerda_carga&mod=form&pessoa='+idMotorista+'', function( data ) {
		$("#formulario_esquerda_carga").html(data.replace("<script src=\"js/formulario.js\"></script>",''));
		$( "input[name*='data_entrada']" ).val(strData);
		$( "input[name*='data_saida']" ).val(strData);
	});
	
	$.post( 'src/controller/FolgasController.php?mod=filtro&pessoas='+idMotorista+'&pessoa='+idMotorista+'&carragar_formulario_seletor=formulario_esquerda_carga', function( data ) {
		$("#formulario_direita_carga").html(data.replace("<script src=\"js/formulario.js\"></script>",''));
		$( "input[name*='data_entrada']" ).val(strData);
		$( "input[name*='data_saida']" ).val(strData);
	});		
}		

function valida_periodo(data_inicio, data_fim)
{
		$.post("src/controller/Liberacao_periodoController.php?mod=validar_periodo",{data_inicio: data_inicio, data_fim: data_fim},
		function(a) {
				if(! a.status)
				{
					alert(a.mensagem);
				}
			},'json' 
		);
}